Hi, I'm using OpenSUSE 11.4 (x86_64) and I've recently switched from SCIM to ibus, because I found that it works better on firefox 4, libreoffice, and etc.

However, I found that ibus-32bit package is not found in any of the software repositories, while we have corresponding SCIM ones: scim-32bit, scim-bridge-gtk-32bit, and scim-bridge-qt-32bit. Because of this, I experience problems in running 32bit GTK+ applications (like acroread and firefoxplayer), which I never had when using SCIM. They output things like:

Code:
[takeshi@YashiroBlack ~]$ acroread
....
Launching a SCIM daemon with Socket FrontEnd...
GTK IM Module SCIM: Cannot connect to Panel!
GTK IM Module SCIM: Cannot connect to Panel!
GTK IM Module SCIM: Cannot connect to Panel!
GTK IM Module SCIM: Cannot connect to Panel!
GTK IM Module SCIM: Cannot connect to Panel!
....(continues util killing the application)....
and freezes.

So, my questions are:
  • Is there any package 32bit ibus package available for OpenSUSE 11.4 (x86_64)? Or, should I request for one somewhere?
  • Do you have any ideas/workarounds on this issue?


Thank you for your assistance in advance!